using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.App.Group
{
    /// <summary>
    /// 修改小组
    /// </summary>
    public class GroupUpRequest
    {

        /// <summary>
        /// 小组ID
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 小组名称
        /// </summary>
        public string Name { get; set; }



        /// <summary>
        /// 头像
        /// </summary>

        public string AvatarUrl { get; set; }

        /// <summary>
        /// 介绍
        /// </summary>

        public string Introduce { get; set; }

        /// <summary>
        ///是否管理用同意 1是 2否 
        /// </summary>
        public int IsAdmin { get; set; }

        /// <summary>
        /// 是否禁言1是 2否 
        /// </summary>

        public int IsWords { get; set; }

        /// <summary>
        /// 是否免打扰
        /// </summary>

        public bool IsUDisturb { get; set; }

        /// <summary>
        /// 小组文件夹ID
        /// </summary>

        public int GroupFolderId { get; set; }
        /// <summary>
        /// 小组标签
        /// </summary>
        /// <value></value>
        public string LabelName { get; set; }
        /// <summary>
        /// 是否显示 1显示 
        /// </summary>
        /// <value></value>
        public int IsShow { get; set; }
    }
}
