using System.Collections.Generic;
using GxPress.EnumConst;

namespace GxPress.Request.App.Topic
{
    /// <summary>
    /// 话题
    /// </summary>
    public class TopicInRequest
    {
        /// <summary>
        ///标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 用户
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string HtmlContent { get; set; }
        /// <summary>
        /// 阅读量
        /// </summary>
        public int ReadCount { get; set; }

        /// <summary>
        /// 收件人
        /// </summary>
        public List<int> TopicAddresseeUserIds { get; set; }
        /// <summary>
        ///小组ID
        /// </summary>
        public int GroupId { get; set; }
        /// <summary>
        /// 来源类型
        /// </summary>
        public SourceTypeConst SourceType { get; set; }
        /// <summary>
        /// 来源ID
        /// </summary>
        public int SourceId { get; set; }

        /// <summary>
        /// 文件夹Id
        /// </summary>
        public int FolderId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public TopicInRequest()
        {
            TopicAddresseeUserIds = new List<int>();
        }
    }
}
