using System.Collections.Generic;

namespace GxPress.Request.App.Topic
{
    /// <summary>
    /// 修改话题
    /// </summary>
    public class TopicUpdateRequest
    {
        /// <summary>
        /// 话题ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string HtmlContent { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 共享文件夹
        /// </summary>
        /// <value></value>
        public int FolderId { get; set; }
        /// <summary>
        /// 话题收件人
        /// </summary>
        /// <value></value>
        public List<int> TopicAddresseeUserIds { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public TopicUpdateRequest()
        {
            TopicAddresseeUserIds = new List<int>();
        }
    }
}
