using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Result.Web;

namespace GxPress.Repository.Interface.Group
{
    public interface IGroupCategroyRepository : IRepository
    {
        /// <summary>
        /// 添加小组广场
        /// </summary>
        /// <param name="groupCategroy"></param>
        /// <returns></returns>
        Task<int> InsertAsync(Entity.tede2.Group.GroupCategroy groupCategroy);

        Task<bool> UpdateAsync(Entity.tede2.Group.GroupCategroy groupCategroy);

        Task<Entity.tede2.Group.GroupCategroy> GetAsync(int id);

        Task<bool> DeleteAsync(int id);
        /// <summary>
        /// 根据parendId获取
        /// </summary>
        /// <param name="parentId"></param>
        /// <returns></returns>
        Task<IEnumerable<GroupCategoryResult>> GetAllAsync(int parentId);
    }
}