using System.Threading.Tasks;
using GxPress.Request.Department;
using GxPress.Result.Department;

namespace GxPress.Service.Interface.Department
{
    public interface IDepartmentService : IService
    {
        /// <summary>
        /// 删除部门包括下面的子集和用户
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(int id);
        /// <summary>
        /// 根据部门ID获取成员以及下级部门
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<DepartmentUserResult> GetDepartmentUserResultAsync(DepartmentUserRequest request);
    }
}
