using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.App.Note
{
    /// <summary>
    /// 笔记添加
    /// </summary>
    public class NoteInRequest
    {
        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// Html内容
        /// </summary>
        public string HtmlContent { get; set; }
        /// <summary>
        /// 用户
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 文件夹ID
        /// </summary>
        public int FolderId { get; set; }
        /// <summary>
        /// 是否话题
        /// </summary>
        /// <value></value>
        public bool IsTopic { get; set; }

        /// <summary>
        /// 媒体ID
        /// </summary>
        /// <value></value>

        public int MediaId { get; set; }

        /// <summary>
        /// 媒体类型
        /// </summary>
        /// <value></value>

        public int MediaType { get; set; }
        /// <summary>
        /// 目录ID
        /// </summary>
        /// <value></value>

        public string CatalogId { get; set; }
        /// <summary>
        /// 章节ID
        /// </summary>
        /// <value></value>

        public string ChapterId { get; set; }
       
    }
}
