using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Common.Page;

namespace GxPress.Request.App.WaitHandle
{
    /// <summary>
    /// 待办搜索  Sort ：hand  手动 time按时间 label 标签 level 优先级
    /// </summary>
    public class PageWaitHandleRequest : PageParameter
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
    }

    /// <summary>
    /// 待办搜索  1  手动 2 按时间 3 标签 4 优先级
    /// </summary>
    public class ListWaitHandleRequest 
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 查询状态
        /// </summary>
        public int SearchType { get; set; }
    }
}
