using System.Collections.Generic;

namespace GxPress.Result.App.Middle
{
    /// <summary>
    /// 查找文件夹文件夹
    /// </summary>
    public class MiddleSearchFolderResult
    {
        /// <summary>
        /// 文件夹ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 文件夹名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        public bool IsDisable { get; set; }

        /// <summary>
        /// 文件夹属性
        /// </summary>
        public int RoleId { get; set; }
        /// <summary>
        /// 是否存在下级文件夹
        /// </summary>
        public bool IsFolder { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        public bool IsTop { get; set; }

        /// <summary>
        /// 共享成员
        /// </summary>
        /// <value></value>
        public string EnjoyUser { get; set; }
        /// <summary>
        /// 文件数量
        /// </summary>
        /// <value></value>
        public int FileCount { get; set; }
        /// <summary>
        /// 是否系统默认
        /// </summary>
        /// <value></value>
        public bool IsSystemDefault { get; set; }
    }
    /// <summary>
    /// 
    /// </summary>
    public class MiddleSearchFolderByParendIsResult
    {
        public List<MiddleSearchFolderResult> Item { get; set; }
        public int Id { get; set; }

        public string Name { get; set; }
    }
}
