using System;
using System.Collections.Generic;
namespace GxPress.Result.App.OftenContact
{

    /// <summary>
    /// 
    /// </summary>
    public class OftenContactInfo : Middle.Middle
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 聊天时间
        /// </summary>
        public DateTime? ChatTime { get; set; }
        /// <summary>
        /// 聊天类型 1 文本 2 图片 3 文件 4 视频 5语音
        /// </summary>
        public int MsgType { get; set; }
        /// <summary>
        /// 聊天内容
        /// </summary>
        public string ChatText { get; set; }

        /// <summary>
        /// 环信ID
        /// </summary>
        public string ImId { get; set; }
        /// <summary>
        /// 聊天类型 1单聊2群聊
        /// </summary>
        public int ChatType { get; set; }
        /// <summary>
        /// 发送到用户ID
        /// </summary>
        public int ToUserId { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        /// <value></value>
        public DateTime? LastModifiedDate { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public string ContactUserId { get; set; }
        /// <summary>
        /// 是否免打扰
        /// </summary>
        /// <value></value>
        public bool IsDisturb { get; set; }
    }
    /// <summary>
    /// 分
    /// </summary>
    public class OftenContactDto
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        /// <value></value>
        public bool IsTop { get; set; }
    }
    /// <summary>
    /// 
    /// </summary>
    public class OftenContactInfoGenericResult
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public IEnumerable<OftenContactInfo> OftenContactInfos { get; set; }
        /// <summary>
        /// 验证时间
        /// </summary>
        /// <value></value>
        public string ConfirmationDate { get; set; }
    }
}
